<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout">

    <data>
        <import type="android.view.View" />
        <variable
            name="safra"
            type="br.coop.eita.castanhadora.db.models.Safra"/>
        <variable
            name="safraAtiva"
            type="br.coop.eita.castanhadora.db.models.Safra"/>
    </data>

    <androidx.cardview.widget.CardView
        style="@style/CardView.Light"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        app:cardCornerRadius="@dimen/button_spacing_sm"
        app:cardElevation="1dp"
        tools:ignore="ContentDescription">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/card_body">

            <TextView
                android:id="@+id/primary_text"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:text="@{safra.tituloCard}"
                android:textAppearance="@style/TextAppearance.AppCompat.Headline"
                android:textColor="@color/colorPrimaryTextDefaultMaterialLight"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />

            <TextView
                android:id="@+id/sub_text"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:text="@{safra.subtituloCard}"
                android:textAppearance="@style/TextAppearance.AppCompat.Body1"
                android:textColor="@color/colorSecondaryTextDefaultMaterialLight"
                app:layout_constraintTop_toBottomOf="@+id/primary_text"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />

            <Button
                style="@style/Widget.AppCompat.Button.Borderless"
                android:id="@+id/selecionarBtn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:layout_marginStart="8dp"
                android:layout_marginLeft="8dp"
                android:minWidth="0dp"
                android:paddingStart="8dp"
                android:paddingEnd="8dp"
                android:text="@string/btn_selecionar"
                android:textColor="@color/colorPrimaryTextDefaultMaterialLight"
                app:layout_constraintTop_toBottomOf="@+id/sub_text"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                android:visibility="@{safra.id == safraAtiva.id ? View.GONE : View.VISIBLE}" />

            <Button
                style="@style/Widget.AppCompat.Button.Borderless"
                android:id="@+id/removeBtn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginLeft="8dp"
                android:text="@string/apagar"
                android:textColor="@color/colorPrimaryTextDefaultMaterialLight"
                app:layout_constraintTop_toTopOf="@+id/selecionarBtn"
                app:layout_constraintStart_toEndOf="@+id/selecionarBtn" />

            <Button
                style="@style/Widget.AppCompat.Button.Borderless"
                android:id="@+id/shareSummaryBtn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginLeft="8dp"
                android:text="@string/share_safra_summary"
                android:textColor="@color/colorPrimaryTextDefaultMaterialLight"
                app:layout_constraintTop_toTopOf="@+id/selecionarBtn"
                app:layout_constraintStart_toEndOf="@+id/removeBtn" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.cardview.widget.CardView>

</layout>